/* SooCycle.h
 *
 *
 *    this file is part of:
 *
 *    Cyclone   ---   Loop Giant
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Sergio Atzori, 2010
 *
 *
 */ 

#ifndef SOOCYCLE_H
#define SOOCYCLE_H

#include <QObject>
#include <QFile>

class SooCycle : public QObject {
    Q_OBJECT

public:
    SooCycle(QWidget *parent);
    
    bool debug;
    
private:
  void printOutput(QString string);
  bool handleConf();
  bool handleMidibind();
  bool modifyMidibind();
  
  bool exist[4]; /* SooperLooper commands */
  QFile *slconf;
  QFile *midi_bind;
  QWidget *parentWidget;
};

#endif
